Subject: [bug#50793] [PATCH 0/2] cloudflare-cli and dependency JSON.sh

From: Maxim Cournoyer <[email-masked]>
Date: Thu, 14 Oct 2021 23:26:03 -0400

Hello Simon,

zimoun <[email-masked]> writes:

> Hi,
>
> On Wed, 13 Oct 2021 at 15:03, Maxim Cournoyer <[email-masked]> wrote:
>
>> Didn't we have some coding style preferring hyphens over '.' ?  I can't
>> find any of this in our manual, but ISTR that there were some commits
>> made to adjust package names that had '.' in them.
>
> Yes, the implicit rule of thumb is to prefer hyphens ’-’ over dot ’.’
> for naming variable.  Indeed, I do not find neither this in manual.
>
> Is it better to add a lint checker?  Or just add an item to
>
> <https://guix.gnu.org/manual/devel/en/guix.html#Submitting-Patches>

I'd say both!  Were you volunteering to add it? :-)

Thanks,

Maxim